footer {
  padding: 52px 176px 60px;
  background-color: #5b4d86;
  display: flex;
  align-items: center;
  flex-direction: column;
}

.mainFooter {
  display: flex;
  justify-content: space-between;
  max-width: 980px;
  width: 100%;
}

ul {
  margin: 40px 0 54px;
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 1fr 1fr;
  column-gap: 60px;
  row-gap: 22px;
  margin-bottom: 54px;
  padding: 0;
}

ul > a {
  text-decoration: none;
  color: white;
  font-size: 22px;
  line-height: 25px;
}

.socialIcons {
  display: flex;
  column-gap: unset;
  row-gap: unset;
}

.socialIcons > a {
  margin-right: 16px;
}

.mainFooter > div:nth-child(2) {
  display: flex;
  align-items: center;
}

.connectBlock {
  margin-left: 46px;
}

.connectBlock > h4 {
  font-size: 36px;
  line-height: 46px;
  font-weight: 700;
  color: #281968;
  margin: 0 0 8px;
}

.connectBlock > p {
  font-size: 18px;
  line-height: 20px;
  color: white;
  max-width: 288px;
  margin: 0 0 20px;
}

.connectBlock > a > button {
  font-size: 16px;
  line-height: 18px;
  padding: 10px 12px;
  text-transform: uppercase;
  background-color: #281968;
  color: white;
  cursor: pointer;
}

.additionalFooter {
  padding: 14px 176px;
  background-color: #281968;
  display: flex;
  justify-content: center;
}

.additionalFooter > div {
  max-width: 980px;
  width: 100%;
}

.additionalFooter > div > a {
  color: white;
  font-size: 18px;
  line-height: 20px;
  margin-right: 20px;
  text-decoration: none;
}

.additionalFooter > div > a:last-child {
  margin: 0;
}

/* 1280 */
@media screen and (max-width: 1280px) {
  footer {
    padding: 52px 96px 60px;
  }

  .additionalFooter {
    padding: 14px 96px;
  }
}

@media screen and (max-width: 960px) {
  .mainFooter > div:nth-child(2) {
    flex-direction: column;
  }
}

/* 768 */
@media screen and (max-width: 768px) {
  footer {
    padding: 52px 48px 60px;
  }

  .mainFooter {
    flex-direction: column;
  }

  .additionalFooter {
    padding: 14px 48px;
  }

  .mainFooter > div:nth-child(2) {
    align-items: flex-start;
  }

  .connectBlock {
    margin: 0;
  }

  .additionalFooter > div > a {
    font-size: 14px;
    line-height: 16px;
    margin-right: 10px;
  }
}

/* 428 */
@media screen and (max-width: 428px) {
  footer {
    padding: 52px 24px 60px;
  }

  .additionalFooter {
    padding: 14px 24px;
  }

  ul > a {
    text-decoration: none;
    color: white;
    font-size: 20px;
    line-height: 23px;
  }

  .connectBlock > h4 {
    font-size: 36px;
    line-height: 46px;
  }

  .connectBlock > p {
    font-size: 16px;
    line-height: 18px;
    max-width: 251px;
  }
}

